# Record TCefStreamWriter

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefStreamWriter = record`

## Description

Structure used to write data to a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefStreamWriter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_writer_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `write: function(self: PCefStreamWriter; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;`
| `seek: function(self: PCefStreamWriter; offset: Int64; whence: Integer): Integer; stdcall;`
| `tell: function(self: PCefStreamWriter): Int64; stdcall;`
| `flush: function(self: PCefStreamWriter): Integer; stdcall;`
| `may_block: function(self: PCefStreamWriter): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `write: function(self: PCefStreamWriter; const ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;`
This item has no description.

| `seek: function(self: PCefStreamWriter; offset: Int64; whence: Integer): Integer; stdcall;`
This item has no description.

| `tell: function(self: PCefStreamWriter): Int64; stdcall;`
This item has no description.

| `flush: function(self: PCefStreamWriter): Integer; stdcall;`
This item has no description.

| `may_block: function(self: PCefStreamWriter): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.